%global pypi_name coveralls
%global sum Coveralls.io provides seamless integration with coverage.py
# Python 3 only for Fedora for now.
%if 0%{?fedora} > 12
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        1.1
Release:        2%{?dist}
Summary:        %{sum}

LICENSE:        MIT
URL:            http://github.com/coagulant/coveralls-python
Source0:        https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz


BuildArch:      noarch

BuildRequires:  python2-coverage
BuildRequires:  python2-devel
BuildRequires:  python-docopt
#BuildRequires:  python-mock
BuildRequires:  pytest
BuildRequires:  python2-requests
BuildRequires:  python-sh
%if 0%{?with_python3}
BuildRequires:  python3-coverage
BuildRequires:  python3-devel
BuildRequires:  python3-docopt
#BuildRequires:  python3-mock
BuildRequires:  python3-pytest
BuildRequires:  python3-requests
BuildRequires:  python3-sh
%endif # if with_python3

%description
Coveralls makes custom report for data generated by coverage.py package and
sends it to json API of coveralls.io service. All python files in your coverage
analysis are posted to this service along with coverage stats, so please make
sure you're not ruining your own security! For private projects there is
Coveralls Pro.

%package -n python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}
Requires:  python2-coverage
Requires:  python-docopt
#Requires:  python-mock
Requires:  python2-requests
Requires:  python-sh
Requires:  pytest

%description -n python2-%{pypi_name}
Coveralls makes custom report for data generated by coverage.py package and
sends it to json API of coveralls.io service. All python files in your coverage
analysis are posted to this service along with coverage stats, so please make
sure you're not ruining your own security! For private projects there is
Coveralls Pro.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:  python3-coverage
Requires:  python3-docopt

#Requires:  python3-mock
Requires:  python3-requests
Requires:  python3-sh
Requires:  python3-pytest

%description -n python3-%{pypi_name}
Coveralls makes custom report for data generated by coverage.py package and
sends it to json API of coveralls.io service. All python files in your coverage
analysis are posted to this service along with coverage stats, so please make
sure you're not ruining your own security! For private projects there is
Coveralls Pro.
%endif # if with_python3

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # if with_python3

%install
%py2_install
cp %{buildroot}%{_bindir}/coveralls %{buildroot}%{_bindir}/coveralls-py2
# See https://github.com/coagulant/coveralls-python/pull/105
chmod 755 %{buildroot}%{python2_sitelib}/coveralls/cli.py
%if 0%{?with_python3}
%py3_install
cp %{buildroot}%{_bindir}/coveralls %{buildroot}%{_bindir}/coveralls-py3
# See https://github.com/coagulant/coveralls-python/pull/105
chmod 755 %{buildroot}%{python3_sitelib}/coveralls/cli.py
%endif # if with_python3

%check
#%{__python2} setup.py test
#%if 0%{?with_python3}
#%{__python3} setup.py test
#%endif # if with_python3

%files -n python2-%{pypi_name}
%license LICENCE
%doc README.rst
%{python2_sitelib}/*
%{_bindir}/coveralls-py2
%if 0%{!?with_python3}
%{_bindir}/coveralls
%endif # if not with_python3

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENCE
%doc README.rst
%{python3_sitelib}/*
%{_bindir}/coveralls
%{_bindir}/coveralls-py3
%endif # if with_python3

%changelog
* Mon Aug 22 2016 William Moreno <williamjmorenor@gmail.com> - 1.1-2
- Temporary disable tests

* Sat Jan 23 2016 Germano Massullo <germano.massullo@gmail.com> - 1.1-1
- First commit on Fedora's Git
